Package it.ernytech.tdlib

## Class TdApi.GetStorageStatistics

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetStorageStatistics

Enclosing class:
  TdApi

    public static class TdApi.GetStorageStatistics
    extends TdApi.Function

Returns storage usage statistics.

Returns `StorageStatistics`

### Field Summary

Fields
`int` `chatLimit` Maximum number of chats with the largest storage usage for which separate statistics should be returned.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`GetStorageStatistics()` Default constructor.
`GetStorageStatistics​(int chatLimit)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatLimit

    public int chatLimit

Maximum number of chats with the largest storage usage for which separate statistics should be returned. All other chats will be grouped in entries with chatId == 0. If the chat info database is not used, the chatLimit is ignored and is always set to 0.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetStorageStatistics

    public GetStorageStatistics()

Default constructor.

#### GetStorageStatistics

    public GetStorageStatistics​(int chatLimit)

Constructor for initialization of all fields.

Parameters:
  `chatLimit` - Maximum number of chats with the largest storage usage for which separate statistics should be returned. All other chats will be grouped in entries with chatId == 0. If the chat info database is not used, the chatLimit is ignored and is always set to 0.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR